org.gradle.runtime.base

## Interface ComponentSpec

- All Superinterfaces:
    Named
  All Known Subinterfaces:
    ApplicationSpec, CUnitTestSuiteSpec, JvmLibrarySpec, LibrarySpec, NativeComponentSpec, NativeExecutableSpec, NativeLibrarySpec, NativeTestSuiteSpec, TestSuiteSpec
  All Known Implementing Classes:
    DefaultLibrarySpec

      @Incubating
      public interface ComponentSpec
      extends Named

  A software component that is built by a Gradle project.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DomainObjectSet<? extends BinarySpec>` | `getBinaries()` The binaries that are built for this component.
    `String` | `getDisplayName()` Returns a human-consumable display name for this component.
    `String` | `getProjectPath()` The path the the project containing this component.
    `DomainObjectSet<LanguageSourceSet>` | `getSource()` The source sets that are used to build this component.
    `void` | `source(Object source)` Adds one or more `LanguageSourceSet`s that are used to compile this binary.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getProjectPath

          String getProjectPath()

      The path the the project containing this component.

    - #### getDisplayName

          String getDisplayName()

      Returns a human-consumable display name for this component.

    - #### getSource

          DomainObjectSet<LanguageSourceSet> getSource()

      The source sets that are used to build this component.

    - #### source

          void source(Object source)

      Adds one or more `LanguageSourceSet`s that are used to compile this binary.

      This method accepts the following types:
      - A `FunctionalSourceSet`
      - A `LanguageSourceSet`
      - A Collection of `LanguageSourceSet`s

    - #### getBinaries

          DomainObjectSet<? extends BinarySpec> getBinaries()

      The binaries that are built for this component. You can use this to configure the binaries for this component.